package Bencher::ScenarioR::JSONDecodeRegexp;

our $VERSION = 0.002; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors      => 1.1e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 11000,
        samples     => 20,
        time        => 89,
        vs_slowest  => 1,
      },
      {
        errors      => 2.9e-07,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 17000,
        samples     => 29,
        time        => 57,
        vs_slowest  => 1.5,
      },
      {
        errors      => 1.9e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 18000,
        samples     => 31,
        time        => 54,
        vs_slowest  => 1.6,
      },
      {
        errors      => 1.1e-07,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 200000,
        samples     => 20,
        time        => 6,
        vs_slowest  => 20,
      },
      {
        errors      => 6.7e-09,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 240000,
        samples     => 20,
        time        => 4.2,
        vs_slowest  => 21,
      },
      {
        errors      => 1.6e-09,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 281000,
        samples     => 22,
        time        => 3.55,
        vs_slowest  => 25,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 3.7e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 5100,
        samples     => 26,
        time        => 200,
        vs_slowest  => 1,
      },
      {
        errors      => 6.7e-07,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 14000,
        samples     => 20,
        time        => 73,
        vs_slowest  => 2.7,
      },
      {
        errors      => 5e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 16000,
        samples     => 25,
        time        => 62,
        vs_slowest  => 3.2,
      },
      {
        errors      => 3.4e-07,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 100000,
        samples     => 20,
        time        => 8,
        vs_slowest  => 20,
      },
      {
        errors      => 3.3e-09,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 133000,
        samples     => 20,
        time        => 7.53,
        vs_slowest  => 26.2,
      },
      {
        errors      => 6.7e-09,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 190000,
        samples     => 20,
        time        => 5.4,
        vs_slowest  => 37,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 2.4e-07,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 7600,
        samples     => 24,
        time        => 130,
        vs_slowest  => 1,
      },
      {
        errors      => 2.7e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 7800,
        samples     => 20,
        time        => 130,
        vs_slowest  => 1,
      },
      {
        errors      => 2.5e-08,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 13000,
        samples     => 22,
        time        => 77.1,
        vs_slowest  => 1.7,
      },
      {
        errors      => 1.5e-06,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 30000,
        samples     => 20,
        time        => 40,
        vs_slowest  => 4,
      },
      {
        errors      => 4.9e-08,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 28000,
        samples     => 24,
        time        => 35,
        vs_slowest  => 3.7,
      },
      {
        errors      => 6.7e-09,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 41000,
        samples     => 20,
        time        => 24.4,
        vs_slowest  => 5.38,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 1.1e-06,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 1300,
        samples     => 20,
        time        => 780,
        vs_slowest  => 1,
      },
      {
        errors      => 1.9e-05,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 2000,
        samples     => 23,
        time        => 500,
        vs_slowest  => 2,
      },
      {
        errors      => 4.7e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 3100,
        samples     => 21,
        time        => 330,
        vs_slowest  => 2.4,
      },
      {
        errors      => 1.1e-06,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 3700,
        samples     => 20,
        time        => 270,
        vs_slowest  => 2.8,
      },
      {
        errors      => 2.1e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 3820,
        samples     => 20,
        time        => 262,
        vs_slowest  => 2.97,
      },
      {
        errors      => 2.7e-07,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 4700,
        samples     => 20,
        time        => 210,
        vs_slowest  => 3.6,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 2.9e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 10000,
        samples     => 28,
        time        => 99,
        vs_slowest  => 1,
      },
      {
        errors      => 5.5e-07,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 17000,
        samples     => 21,
        time        => 58,
        vs_slowest  => 1.7,
      },
      {
        errors      => 1.1e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 19000,
        samples     => 20,
        time        => 53,
        vs_slowest  => 1.9,
      },
      {
        errors      => 6.7e-09,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 250000,
        samples     => 20,
        time        => 4,
        vs_slowest  => 25,
      },
      {
        errors      => 3.3e-09,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 330000,
        samples     => 20,
        time        => 3,
        vs_slowest  => 33,
      },
      {
        errors      => 1.4e-08,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 340000,
        samples     => 31,
        time        => 3,
        vs_slowest  => 33,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 6.7e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 7100,
        samples     => 20,
        time        => 140,
        vs_slowest  => 1,
      },
      {
        errors      => 6e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 8000,
        samples     => 27,
        time        => 120,
        vs_slowest  => 1.1,
      },
      {
        errors      => 2.3e-06,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 10000,
        samples     => 20,
        time        => 100,
        vs_slowest  => 1,
      },
      {
        errors      => 5.3e-08,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 75000,
        samples     => 23,
        time        => 13,
        vs_slowest  => 11,
      },
      {
        errors      => 1.4e-08,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 100000,
        samples     => 30,
        time        => 9.7,
        vs_slowest  => 14,
      },
      {
        errors      => 3e-08,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 120000,
        samples     => 20,
        time        => 8.4,
        vs_slowest  => 17,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 2.2e-06,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 4300,
        samples     => 20,
        time        => 230,
        vs_slowest  => 1,
      },
      {
        errors      => 9.3e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 4600,
        samples     => 29,
        time        => 220,
        vs_slowest  => 1.1,
      },
      {
        errors      => 1.3e-06,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 6000,
        samples     => 20,
        time        => 170,
        vs_slowest  => 1.4,
      },
      {
        errors      => 1.8e-07,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 11000,
        samples     => 21,
        time        => 95,
        vs_slowest  => 2.4,
      },
      {
        errors      => 1.1e-07,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 17000,
        samples     => 20,
        time        => 60,
        vs_slowest  => 3.8,
      },
      {
        errors      => 1e-07,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 19000,
        samples     => 22,
        time        => 52,
        vs_slowest  => 4.4,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 2.6e-05,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 400,
        samples     => 20,
        time        => 2,
        vs_slowest  => 1,
      },
      {
        errors      => 1.2e-05,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 1000,
        samples     => 20,
        time        => 1,
        vs_slowest  => 2,
      },
      {
        errors      => 9.1e-07,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 1090,
        samples     => 20,
        time        => 0.918,
        vs_slowest  => 2.61,
      },
      {
        errors      => 1.3e-06,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 1100,
        samples     => 20,
        time        => 0.9,
        vs_slowest  => 2.7,
      },
      {
        errors      => 1.2e-06,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 1500,
        samples     => 20,
        time        => 0.66,
        vs_slowest  => 3.6,
      },
      {
        errors      => 1.1e-06,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 2100,
        samples     => 20,
        time        => 0.49,
        vs_slowest  => 4.9,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "ms"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
  [
    200,
    "OK",
    [
      {
        errors      => 4e-07,
        modver      => 0.06,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 9100,
        samples     => 23,
        time        => 110,
        vs_slowest  => 1,
      },
      {
        errors      => 3.2e-07,
        modver      => 0.04,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 13000,
        samples     => 20,
        time        => 75,
        vs_slowest  => 1.5,
      },
      {
        errors      => 2.1e-07,
        modver      => 0.03,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 14000,
        samples     => 20,
        time        => 71,
        vs_slowest  => 1.5,
      },
      {
        errors      => 2.7e-08,
        modver      => "",
        participant => "JSON::PP::decode",
        rate        => 16300,
        samples     => 20,
        time        => 61.2,
        vs_slowest  => 1.8,
      },
      {
        errors      => 8.1e-07,
        modver      => 0.07,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 50000,
        samples     => 28,
        time        => 20,
        vs_slowest  => 6,
      },
      {
        errors      => 1.7e-08,
        modver      => 0.09,
        participant => "JSON::Decode::Regexp::from_json",
        rate        => 100000,
        samples     => 20,
        time        => 9.8,
        vs_slowest  => 11,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2877.109,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2810.937,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2887.609,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2666.343,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "JSON::PP" => "2.27300",
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.06, 0.09, 0.03, 0.07],
                                  "participant",
                                  [0, 1],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp",
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1478273823.67213,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
];

1;
# ABSTRACT: Benchmark JSON decoding

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

