package Bencher::ScenarioR::JSONDecodeRegexp::Startup;

our $VERSION = 0.002; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 0.00015,
        mod_overhead_time => 24,
        modver => "",
        participant => "Regexp::Grammars",
        samples => 20,
        time => 26,
        vs_slowest => 1,
      },
      {
        errors => 0.00029,
        mod_overhead_time => 5,
        modver => 0.03,
        participant => "JSON::Decode::Regexp",
        samples => 20,
        time => 7,
        vs_slowest => 3,
      },
      {
        errors => 2e-05,
        mod_overhead_time => 3.4,
        modver => 0.06,
        participant => "JSON::Decode::Regexp",
        samples => 21,
        time => 5.4,
        vs_slowest => 4.8,
      },
      {
        errors => 2.6e-05,
        mod_overhead_time => 3.1,
        modver => 0.09,
        participant => "JSON::Decode::Regexp",
        samples => 20,
        time => 5.1,
        vs_slowest => 5,
      },
      {
        errors => 3.6e-05,
        mod_overhead_time => 3.1,
        modver => 0.04,
        participant => "JSON::Decode::Regexp",
        samples => 20,
        time => 5.1,
        vs_slowest => 5,
      },
      {
        errors => 1.8e-05,
        mod_overhead_time => 3,
        modver => 0.07,
        participant => "JSON::Decode::Regexp",
        samples => 20,
        time => 5,
        vs_slowest => 5.1,
      },
      {
        errors => 2.7e-05,
        mod_overhead_time => 0,
        modver => "",
        participant => "perl -e1 (baseline)",
        samples => 20,
        time => 2,
        vs_slowest => 10,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  include_path => [
                                    "archive/JSON-Decode-Regexp-0.03/lib",
                                    "archive/JSON-Decode-Regexp-0.04/lib",
                                    "archive/JSON-Decode-Regexp-0.06/lib",
                                    "archive/JSON-Decode-Regexp-0.07/lib",
                                    "archive/JSON-Decode-Regexp-0.09/lib",
                                  ],
                                  multimodver => "JSON::Decode::Regexp",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "JSONDecodeRegexp::Startup",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2679.687,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2756.085,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2874.046,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2617.726,
                                    stepping                     => 4,
                                  },
                                ],
      "func.module_startup"  => 1,
      "func.module_versions" => {
                                  "Bencher::Scenario::JSONDecodeRegexp::Startup" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "JSON::Decode::Regexp" => 0.09,
                                  "perl" => "v5.24.0",
                                  "Regexp::Grammars" => 1.045,
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => [
                                  "modver",
                                  [0.04, 0.07, 0.06, 0.09, 0.03],
                                  "participant",
                                  [0, 1, 2],
                                  "perl",
                                  ["perl"],
                                ],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::JSONDecodeRegexp::Startup",
      "func.time_factor"     => 1000,
      "func.time_start"      => 1478273826.36528,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "ms", "ms"],
      "table.fields"         => [
                                  "participant",
                                  "modver",
                                  "time",
                                  "mod_overhead_time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
];

1;
# ABSTRACT: Benchmark startup overhead of JSON::Decode::Regexp vs some other modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

